> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-code-lists/operationalstatevalue.md).

# OperationalStateValue

This code list is present in OS MasterMap Highways Network – Roads and OS MasterMap Highways Network – Paths products. The RoadLink Feature Type is attributed with 'operationalState' with a data type of 'OperationslStateValue', and the Street Feature Type is attributed with an 'operationalState' with a data type of 'OperationalStateType'. This data type has the attribute of ‘state’ with a data type of 'OperationalStateValue'. The table below describes the codes which will be used to populate attributes with the data type 'OperationalStateValue'.

## **Code List: OperationalStateValue**

{% embed url="<http://www.ordnancesurvey.co.uk/xml/codelists/highways/OperationalStateValue.xml>" %}

| Code               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Prospective        | Plans have been submitted for development, but construction has not commenced.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Under Construction | Construction has commenced but the road cannot be used.                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Open               | Open                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Temporarily Closed | <p>The way has been temporarily closed for a specified reason under Road Traffic Regulation Act 1984 Section 14 1(b):<br>• Streetworks;<br>• likelihood of danger to public; and<br>• Litter clearing or cleaning (duty imposed by section 89(1)(a) or (2) of the Environmental Protection Act 1990 (litter clearing and cleaning) to be discharged).<br>Note: The operationalState shall only be set to Temporarily Closed when the duration of the closure is intended to last more than 4 weeks.</p> |
| Permanently Closed | <p>A Street that has been permanently blocked up according to a Stopping Up Order<br>Constraint: If the Street operationalState = Permanently Closed then the endLifespanVersion shall be set.</p>                                                                                                                                                                                                                                                                                                      |
| Addressing Only    | A street which has been created for addressing purposes of the Local Land and Property Gazetteer (LLPG).                                                                                                                                                                                                                                                                                                                                                                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/transport-network-portfolio/os-mastermap-highways-network-fundamentals/os-mastermap-highways-network-code-lists/operationalstatevalue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
